## python-gios 4.0.0

=== requirements.txt ===
aiohttp>=3.7.0
dacite>=1.7.0

=== debian/changelog ===
python-gios (4.0.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 16:35:48 +0900

python-gios (4.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1077246)

 -- Edward Betts <edward@4angle.com>  Sat, 27 Jul 2024 18:16:19 +0900

=== debian/control ===
Source: python-gios
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-aiohttp <!nocheck>,
               python3-aioresponses <!nocheck>,
               python3-all,
               python3-dacite <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-timeout <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/bieniu/gios
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/PACKAGE
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/PACKAGE.git

Package: python3-gios
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python wrapper for retrieving air quality data from GIOŚ servers
 This module provides a convenient way to access air quality data from GIOŚ
 (Główny Inspektorat Ochrony Środowiska) servers. It enables users to fetch
 information about air quality measurements from designated monitoring
 stations. The module supports asynchronous operations, making it suitable for
 integrating into applications that require real-time air quality updates. With
 this module, users can obtain data about various pollutants and environmental
 factors measured at different locations. The module also provides details
 about the geographical coordinates and names of the monitoring stations.

=== debian/tests/control ===
Tests: run-tests
Depends: python3-aioresponses,
         python3-all,
         python3-pytest,
         python3-pytest-asyncio,
         python3-pytest-cov,
         python3-pytest-timeout,
         @

## python-gios 5.0.0

=== debian/changelog ===
python-gios (5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.
  * Upstream test suite now needs python3-syrupy.

 -- Edward Betts <edward@4angle.com>  Sun, 03 Nov 2024 17:23:05 +0100

=== debian/control ===
Source: python-gios
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aioresponses <!nocheck>,
 python3-dacite <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-syrupy <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/bieniu/gios
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/PACKAGE
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/PACKAGE.git

Package: python3-gios
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python wrapper for retrieving air quality data from GIOŚ servers
 This module provides a convenient way to access air quality data from GIOŚ
 (Główny Inspektorat Ochrony Środowiska) servers. It enables users to fetch
 information about air quality measurements from designated monitoring
 stations. The module supports asynchronous operations, making it suitable for
 integrating into applications that require real-time air quality updates. With
 this module, users can obtain data about various pollutants and environmental
 factors measured at different locations. The module also provides details
 about the geographical coordinates and names of the monitoring stations.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gios
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf gios.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-gios-$1\.tar\.gz/ \
  https://github.com/bieniu/gios/tags .*/v?(\d\S+)\.tar\.gz

## python-gios 6.0.0

=== requirements.txt ===
aiohttp>=3.9.4
dacite>=1.7.0

=== debian/changelog ===
python-gios (6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add missing build dependency for pybuild-plugin-pyproject.
  * Add dependency on python3-dacite.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Mon, 10 Mar 2025 10:35:39 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
@@ -19,7 +20,7 @@
  python3-pytest-timeout <!nocheck>,
  python3-syrupy <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/bieniu/gios
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/PACKAGE
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/PACKAGE.git
@@ -29,6 +30,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ python3-dacite,
 Description: Python wrapper for retrieving air quality data from GIOŚ servers
  This module provides a convenient way to access air quality data from GIOŚ
  (Główny Inspektorat Ochrony Środowiska) servers. It enables users to fetch

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-aioresponses,
 python3-all,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-timeout,
 python3-syrupy,
 @,

=== debian/watch ===
version=4
https://github.com/bieniu/gios/tags .*/v?(\d\S+)\.tar\.gz

## python-gios 6.1.1

=== debian/changelog ===
python-gios (6.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Tue, 08 Jul 2025 16:48:40 +0200

=== debian/control ===
--- 
+++ 
@@ -20,10 +20,11 @@
  python3-pytest-timeout <!nocheck>,
  python3-syrupy <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/bieniu/gios
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/PACKAGE
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/PACKAGE.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-gios
 Architecture: all

## python-gios 6.1.2

=== debian/changelog ===
python-gios (6.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 06 Aug 2025 22:23:48 +0100

## python-gios 7.0.0

=== debian/changelog ===
python-gios (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sat, 03 Jan 2026 09:31:48 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -19,8 +18,7 @@
  python3-pytest-cov <!nocheck>,
  python3-pytest-timeout <!nocheck>,
  python3-syrupy <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/bieniu/gios
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/PACKAGE
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/PACKAGE.git

=== debian/watch ===
Version: 5

Template: Github
Owner: bieniu
Project: gios
